Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.wps.portletservice.credentialvault.credentials
Class ActiveCredential

    java.lang.Object
      com.ibm.wps.portletservice.credentialvault.credentials.Credential
          com.ibm.wps.portletservice.credentialvault.credentials.ActiveCredential

All Implemented Interfaces:
  ActiveCredential, Credential, java.io.Serializable

Direct Known Subclasses:
  BinaryCredential, JaasSubjectCredential, UserPasswordCredential

Deprecated. since 6.0. Support of the IBM portlet API may be removed in a future release of WebSphere Portal. Use of the Java Portlet API (javax.portlet) is recommended instead.

    public abstract class ActiveCredential

extends Credential
implements ActiveCredential

An Active credential hides the user's secret from the portlet and does all the authentication (communication) for the portlet. Some of these credentials might provide `login()` and `logout()` methods (e.g. HttpFormBasedAuthenticationCredential) but some won't because the protocol doesn't support it (e.g. HttpBasicAuthCredential). However, all subclasses will usually provide a `getAuthenticatedConnection` method that will be used by the portlet to get authenticated backend connections to work with.

Since:
  WP 5.1.0.1
See Also:
  Serialized Form

Field Summary

Fields inherited from class com.ibm.wps.portletservice.credentialvault.credentials.Credential
`LOGGER_NAME, secret`

Fields inherited from interface com.ibm.portal.portlet.service.credentialvault.credentials.Credential
`KEY_CREDENTIAL_SECRET`

Constructor Summary
`ActiveCredential()` Deprecated.

Method Summary
`boolean` | `isActive()` Deprecated. Returns whether a credential is active or passive.

Methods inherited from class com.ibm.wps.portletservice.credentialvault.credentials.Credential
`checkInitialized, getSecretType, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.ibm.portal.portlet.service.credentialvault.credentials.Credential
`getSecretType, init`

Constructor Detail

### ActiveCredential

    public ActiveCredential()

  Deprecated.

Method Detail

### isActive

    public final boolean isActive()

  Deprecated.
  Returns whether a credential is active or passive.

  Specified by:
    `isActive` in interface `ActiveCredential`
  Specified by:
    `isActive` in interface `Credential`
  Overrides:
    `isActive` in class `Credential`
  Returns:
    boolean always returns `true`
  See Also:
    `PassiveCredential`, `ActiveCredential`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD